----------------------------------------------------------------
--                                                              
--  File:   Restore_Database.SQL                                
--          Microsoft TPC-E Benchmark Kit Ver. 1.14.0-1031      
--          Copyright Microsoft, 2008-2015                  
--                                                              --
------------------------------------------------------------------
Use master
GO

DECLARE @startdate	DATETIME,
        @enddate	DATETIME

SELECT  @startdate = GETDATE()
SELECT  'Start date:',
		CONVERT(VARCHAR(30),@startdate, 21)
		

restore DATABASE tpce FROM
tpceback1A, tpceback2A, tpceback3A, tpceback4A, tpceback5A, tpceback6A, tpceback7A, tpceback8A, 
tpceback9A, tpceback10A, tpceback11A, tpceback12A, tpceback13A, tpceback14A,
tpceback1B, tpceback2B, tpceback3B, tpceback4B, tpceback5B, tpceback6B, tpceback7B, tpceback8B, 
tpceback9B, tpceback10B, tpceback11B, tpceback12B, tpceback13B, tpceback14B,
tpceback1C, tpceback2C, tpceback3C, tpceback4C, tpceback5C, tpceback6C, tpceback7C, tpceback8C, 
tpceback9C, tpceback10C, tpceback11C, tpceback12C, tpceback13C, tpceback14C,
tpceback1D, tpceback2D, tpceback3D, tpceback4D, tpceback5D, tpceback6D, tpceback7D, tpceback8D, 
tpceback9D, tpceback10D, tpceback11D, tpceback12D, tpceback13D, tpceback14D,
tpceback1E, tpceback2E, tpceback3E, tpceback4E, tpceback5E, tpceback6E, tpceback7E, tpceback8E
WITH replace, stats = 1


SELECT  @enddate = GETDATE()
SELECT  'End date: ',
        CONVERT(VARCHAR(30),@enddate, 21)
SELECT  'Elapsed time (in seconds): ',
        DATEDIFF(second, @startdate, @enddate)
GO
